---
updatedAt: 2026-04-20T14:28:14.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Athlete Statistics

The **Athlete Statistics** method retrieves quick pre-compiled individual statistics for an athlete.

By default all individual results in the Triathlon.org database are used (including multisport data but not team). To restrict the analysed event specifications you may provide a pipe delimited list of event category or event specifications.

The following example returns the statistics overview for athlete\_id 5695.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/athletes/5695/stats
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/athletes/{athlete_id}/stats": {
      "get": {
        "summary": "Athlete Statistics",
        "description": "",
        "operationId": "athlete-statistics",
        "parameters": [
          {
            "name": "athlete_id",
            "in": "path",
            "description": "The unique id of the athlete",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "category_id",
            "in": "query",
            "description": "A pipe delimited list of event categories",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "specification_id",
            "in": "query",
            "description": "A pipe delimited list of event specifications",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "elite",
            "in": "query",
            "description": "Restrict to elite only results",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "event_id",
            "in": "query",
            "description": "A pipe delimited list of event ids",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{  \n   \"code\":200,\n   \"status\":\"success\",\n   \"data\":{  \n      \"race_starts\":\"99\",\n      \"race_finishes\":\"93\",\n      \"finish_percentage\":0.94,\n      \"race_wins\":\"37\",\n      \"race_podiums\":\"66\",\n      \"race_podium_percentage\":0.67\n   }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "race_starts": {
                          "type": "string",
                          "example": "99"
                        },
                        "race_finishes": {
                          "type": "string",
                          "example": "93"
                        },
                        "finish_percentage": {
                          "type": "number",
                          "example": 0.94,
                          "default": 0
                        },
                        "race_wins": {
                          "type": "string",
                          "example": "37"
                        },
                        "race_podiums": {
                          "type": "string",
                          "example": "66"
                        },
                        "race_podium_percentage": {
                          "type": "number",
                          "example": 0.67,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```